cupstestppd(1)

NAME
cupstestdsc - überprüft Konformität von PPD-Dateien (veraltet)

SYNOPSIS
cupstestppd [ -I Kategorie ] [ -R Wurzelverz ] [ -W Kategorie ] [ -q ] [ -r ] [ -v[v] ] Dateiname.ppd[.gz] [ … Dateiname.ppd[.gz] ]
cupstestppd [ -R Wurzelverz ] [ -W Kategorie ] [ -q ] [ -r ] [ -v[v] ] -

BESCHREIBUNG
cupstestppd überprüft die Konformität von PPD-Dateien zu der Adobe PostScript-Printer-Description-Dateiformatspezifikation Version 4.3. Es kann auch zur Auflistung der in einer PPD-Datei unterstützten Optionen und verfügbaren Schriften verwandt werden. Das Ergebnis des Tests und alle anderen Ausgaben werden an die Standardausgabe gesandt.

Die erste Form von cupstestppd überprüft eine oder mehrere PPD-Dateien auf der Befehlszeile. Die zweite Form überprüft die auf der Standardeingabe übergebene PPD-Datei.

OPTIONEN
cupstestppd unterstützt die folgenden Optionen:

-I filename
    Ignoriert alle PCFileName-Warnungen.

-I filters
    Ignoriert alle Filter-Fehler.

-I profiles
    Ignoriert alle Profile-Fehler.

-R Wurzelverz
    Legt ein alternatives Wurzelverzeichnis für die filter-, pre-filter- und andere unterstützte Dateiüberprüfungen fest.

-W constraints
    Berichtet alle UIConstraint-Fehler als Warnungen.

-W defaults
    Berichtet alle Standard-Optionsfehler, außer größenbezogene Optionen, als Warnungen.

-W filters
    Berichtet alle Filterfehler als Warnungen.

-W profiles
    Berichtet alle Profilfehler als Warnungen.

-W sizes
    Berichtet alle Mediengrößenfehler als Warnungen.

-W translations
    Berichtet alle Übersetzungsfehler als Warnungen.

-W all
    Berichtet alle vorhergehenden Fehler als Warnungen.

-W none
    Berichtet alle bisherigen Fehler als Fehler

-q  Legt fest, dass keine Information angezeigt werden soll.

-r  Weicht die PPD-Konformitätsanforderungen auf, so dass typische Leerraumzeichen-, Steuerzeichen und Formatierungsprobleme nicht als schwere Fehler behandelt werden.

-v  Legt fest, dass detaillierte Konformitätstestergebnisse anstatt des knappen »PASS/FAIL/ERROR« Status angezeigt werden sollen.

-vv Legt fest, dass alle Informationen in der PPD-Datei zusätzlich zu den detaillierten Konformitätstestergebnissen angezeigt werden sollen.

Die Optionen -q, -v und -vv schließen sich gegenseitig paarweise aus.

EXIT-STATUS
cupstestppd liefert Null bei Erfolg und Nichtnull im Fehlerfall. Die Fehlercodes lauten wie folgt:

1   Fehlerhafte Befehlszeilenargumente oder fehlender PPD-Dateiname.

2   PPD-Datei kann nicht geöffnet oder gelesen werden.

3   Die PPD-Datei enthält Formatfehler, die nicht übersprungen werden können.

4   Die PPD-Datei folgt nicht der Adobe PPD-Spezifikation.

BEISPIELE
Der folgende Befehl überprüft alle PPD-Dateien unterhalb des aktuellen Verzeichnisses und gibt die Namen aller Dateien aus, die nicht der Spezifikation folgen:

    find . -name \*.ppd \! -exec cupstestppd -q '{}' \; -print

Der nächste Befehl überprüft alle PPD-Dateien unterhalb des aktuellen Verzeichnisse und gibt detaillierte Konformitätstestergebnisse für die Dateien aus, die keine Konformität aufweisen.

    find . -name \*.ppd \! -exec cupstestppd -q '{}' \; \
        -exec cupstestppd -v '{}' \;

HINWEISE
PPD-Dateien sind veraltet und werden in einer zukuünftigen Funktionsveröffentlichung von CUPS nicht mehr unterstützt. Drucker, die IPP nicht unterstützen, können mittels Anwendungen wie ippeveprinter(1) unterstützt werden.

SIEHE AUCH
lpadmin(8), CUPS-Online-Hilfe (http://localhost:631/help), Adobe PostScript Printer Description File Format Specification, Version 4.3.

COPYRIGHT
Copyright © 2021-2023 by OpenPrinting.